Subject: Re: bug#75379: 30.0.93; project-find-regexp expects "C" or "en" locale

From: Juri Linkov <[email-masked]>
Date: Mon, 06 Jan 2025 19:36:18 +0200

>                  ;; TODO: Show these matches as well somehow?
>
> we would probably want to print these weird matches as well, in the
> future. As you mention, search programs have a flag which avoids printing
> these matches, but in certain rare cases it might happen that a mostly text
> file is detected as binary - and then it seems preferable to print all of
> such matches in the buffer rather than ignore them. (Unless people
> disagree?)

Indeed, "Binary file matches" is a very important message that
helps not to miss any matches in a text file that happens
to accidentally contain a NUL byte.  This saved me many times
while using rgrep.  'project-find-regexp' could do the same,
and show the same messages in the *xref* output buffer.

So to not mess with translations, a simpler solution would be
just to copy all unhandled messages from grep/ripgrep output
to the xref buffer as is.